"""add support for quay's security indexer

Revision ID: 57dad559ff2d
Revises: 154f2befdfbe
Create Date: 2015-07-13 16:51:41.669249

"""

# revision identifiers, used by Alembic.
revision = '57dad559ff2d'
down_revision = '73669db7e12'

from alembic import op
import sqlalchemy as sa

def upgrade(tables):
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('image', sa.Column('parent_id', sa.Integer(), nullable=True))
    op.add_column('image', sa.Column('security_indexed', sa.Boolean(), nullable=False, default=False, server_default=sa.sql.expression.false()))
    op.add_column('image', sa.Column('security_indexed_engine', sa.Integer(), nullable=False, default=-1, server_default="-1"))
    op.create_index('image_parent_id', 'image', ['parent_id'], unique=False)
    op.create_foreign_key(op.f('fk_image_parent_id_image'), 'image', 'image', ['parent_id'], ['id'])
    ### end Alembic commands ###
    op.create_index('image_security_indexed_engine_security_indexed', 'image', ['security_indexed_engine', 'security_indexed'])

def downgrade(tables):
   ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('image_security_indexed_engine_security_indexed', 'image')
    op.drop_constraint(op.f('fk_image_parent_id_image'), 'image', type_='foreignkey')
    op.drop_index('image_parent_id', table_name='image')
    op.drop_column('image', 'security_indexed')
    op.drop_column('image', 'security_indexed_engine')
    op.drop_column('image', 'parent_id')
    ### end Alembic commands ###
